﻿package 
{
	import com.bit101.components.CheckBox;
	import com.bit101.components.PushButton;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.external.ExternalInterface;
	import org.flashdevelop.utils.FlashConnect;
	
	/**
	 * www.streamhead.com
	 * @author Peter Backx
	 */
	public class Main extends Sprite 
	{
		private var traceCB:CheckBox;
		private var fcTraceCB:CheckBox;
		private var firebugCB:CheckBox;
		
		public function Main():void 
		{
			if (stage) init();
			else addEventListener(Event.ADDED_TO_STAGE, init);
		}
		
		private function init(e:Event = null):void 
		{
			removeEventListener(Event.ADDED_TO_STAGE, init);
			// entry point
			
			traceCB = new CheckBox(this, 10, 10, "plain old trace()");
			fcTraceCB = new CheckBox(this, 10, 27, "FlashConnect.trace()");
			firebugCB = new CheckBox(this, 10, 44, "Firebug console.log");
			if (!ExternalInterface.available)
				firebugCB.enabled = false;
			new PushButton(this, 10, 60, "try it out", onBtnClick);
		}
		
		private function onBtnClick(e:Event = null):void
		{
			if (traceCB.selected)
				trace("trace via plain old trace()");
			if (fcTraceCB.selected)
				FlashConnect.trace("trace via FlashConnect");
			if (ExternalInterface.available && firebugCB.selected)
				ExternalInterface.call("console.log", "tracing in firebug");
		}
	}
	
}